import React from "react";
import Logo from "./Logo";
import Menu from "./Menu";
import logoSig from "../../images/logo-egeo.png";
import MenuMobile from "./menuMobile";
import Profil from "./Profil";

const Header = () => {
  return (
    <>
      <div className="navbar bg-base-100 sticky top-0">
      <div className="navbar-start">
          <div className="dropdown">
            <label tabIndex={0} className="btn btn-ghost lg:hidden">
              <svg
                xmlns="http://www.w3.org/2000/svg"
                className="h-5 w-5"
                fill="none"
                viewBox="0 0 24 24"
                stroke="currentColor"
              >
                <path
                  strokeLinecap="round"
                  strokeLinejoin="round"
                  strokeWidth="2"
                  d="M4 6h16M4 12h8m-8 6h16"
                />
              </svg>
            </label>
            {/* ---------------MENU MOBILE------------------ */}
            <MenuMobile />
            {/* ---------------END MENU MOBILE------------------ */}
          </div>
          {/*----------------- LOGO --------------------------*/}
          <div className="flex-shrink-0 flex items-center">
            <Logo image={logoSig} />
          </div>
          {/*-----------------END LOGO --------------------------*/}
        </div>
        {/* ---------------MENU------------------ */}
        <div className="navbar-center hidden lg:flex">
          <Menu />
        </div>
        {/* ---------------END MENU------------------ */}
        <div className="navbar-end">
          <div className="form-control hidden sm:block">
            <input
              type="text"
              placeholder="Search"
              className="input input-bordered"
            />
          </div>
          {/* ---------------PROFIL------------------ */}
          <Profil />
          {/* ---------------END PROFIL------------------ */}
        </div>
      </div>
    </>
  );
};

export default Header;
